#include <stdlib.h>
#include <stdio.h>
#include <string.h>

typedef long long data_t;

data_t sort( data_t arr[], data_t num ) {
   data_t i, j, k, m = 0;
   for(i = 0; i < num; i++)
      for(j = 0; j < num - 1; j++)
         if(arr[j] > arr[j + 1]) {
            k = arr[j];
            arr[j] = arr[j + 1];
            arr[j + 1] = k;
            m++;
         }
   return m;
}

void show(data_t arr[], data_t num) { // отладка-контроль
   data_t i = 0; 
   printf("[");
   for(; i < num; i++) printf("%llu ", arr[ i ]);
   printf("]\n");
}

int main(int argc, char **argv) {
   if(argc != 2)
      printf("usage: %s [-]<number>\n", argv[0]), exit(1);
   data_t size = atoll(argv[1]), i, n, *vect;
   char debug = 0;
   if(size < 0) size = -size, debug = 1;
   if(!(vect = (data_t*)calloc(size, sizeof(data_t))))
      perror("allocate"), exit(1);
   for(i = 0; i < size; i++) vect[i] = size - i;
   if(debug) show(vect, size);
   n = sort(vect, size);
   printf("%llu\n", n);
   if(debug) show(vect, size);
   free(vect);
   return 0;
}
