#include <stdlib.h>
#include <iostream>
#include <vector>

using namespace std;

typedef long long data_t;

data_t sort(vector<data_t>& v) {
   data_t m = 0;
   for(vector<data_t>::iterator i = v.begin(); i != v.end(); i++) 
      for(vector<data_t>::iterator j = v.begin(); j + 1 != v.end(); j++) 
         if(*j > *(j+1)) {
            data_t k = *j;
            *j = *(j + 1);
            *(j + 1) = k;
            m++;
         }
   return m;
}

void show(vector<data_t> v) {  // отладка-контроль
   cout << "[";
   vector<data_t>::iterator i = v.begin();
   while(i != v.end()) cout << *i++ << " ";
   cout << "]" << endl;
}

int main(int argc, char **argv) {
   if(argc != 2)
      cout << "usage: " << argv[0] << " [-]<number>" << endl, exit(1);
   bool debug = false;
   data_t size = atoll(argv[1]), n;
   if(size < 0) size = -size, debug = true;
   vector<data_t> vect = vector<data_t>(size);
   n = size;
   for(vector<data_t>::iterator i = vect.begin(); i != vect.end(); i++)
      *i = n--;       
   if(debug) show(vect);
   n = sort(vect);
   cout << n << endl;
   if(debug) show(vect);
   return 0;
}
