package main

import (
	"fmt"
	"os"
	"strconv"
)

type data_t int64

func sort(p []data_t) data_t {
	var m data_t = 0
	for i := range p {
		i = i
		for j := range p {
			if j == len(p)-1 {
				break
			}
			if p[j] > p[j+1] {
				p[j], p[j+1] = p[j+1], p[j]
				m++
			}
		}
	}
	return m
}

func main() {
	show := func(p []data_t) { // диагностика для среза
		fmt.Println(p)
	}
	if len(os.Args) != 2 {
		fmt.Printf("usage: %v [-]<number>\n", os.Args[0])
		return
	}
	var длина data_t
	n, _ := strconv.Atoi(os.Args[1])
	длина = data_t(n)
	debug := false
	if длина < 0 {
		длина = -длина
		debug = true
	}
	срез := make([]data_t, длина) // len( b ) == 10, cap( b ) == 10
	for i := range срез {
		срез[i] = data_t(len(срез) - i)
	}
	if debug {
		show(срез)
	}
	вар := sort(срез)
	fmt.Println(вар)
	if debug {
		show(срез)
	}
}
