#include <cstdlib>
#include <iostream>
#include <unistd.h>
#include <sys/wait.h>
using namespace std;

int main(int argc, char *argv[]) {
   int numpar = (argc > 1 && atoi(argv[1]) > 0) ?
                atoi(argv[1]) : 1;
   pid_t pid[numpar];
   for(int i = 0; i < numpar; i++) 
      switch (pid[i] = fork()) {
         case -1: perror("ошибка fork"), exit( EXIT_FAILURE );
         case 0:  // дочерний процесс
                  cout << getpid() << " стартовал" << endl;
                  sleep(1);
                  cout << getpid() << " завершился" << endl;
                  exit( EXIT_SUCCESS );
         default: // родительский процесс
                  cout << "запустил: " << pid[i] << endl;
                  continue;
      }
   for(int i = 0; i < numpar; i++)
      waitpid(pid[i], NULL, 0);
   cout << getpid() << " завершился" << endl;     
   exit(EXIT_SUCCESS);
}
