package main
import ("fmt"; "os"; "strconv"; "time")

func main() {
	ветви := 3
	if len(os.Args) > 1 {
		ветви, _ = strconv.Atoi(os.Args[1])
	}
	fmt.Printf("число ветвей выполнения: %v\n", ветви)
	ch := make(chan bool)
	sem := make(chan struct{}, 1) // бинарный семафор
	var counter int64 = 0
	const циклы = 1000000;
	t := time.Now()
	for i := 0; i < ветви; i++ {
		go func() {
			defer func() { ch <- true }()
			for j := 0; j < циклы; j++ {
				sem <- struct{}{}   // захват  
				counter++
				<- sem              // освобождение
			}
		}()
	}
	for i := 0; i < ветви; i++ {
		<-ch
	}
	delta := (float64(counter) - float64(ветви) * циклы) /
	          float64(ветви) / циклы * 100
	fmt.Printf("счётчик насчитал: %d(%2.1f%s) [%v]\n",
	           counter, delta, "%", time.Since(t))
}
