package main
import ("os"; "strconv"; "fmt"; "time")

func sequgo(n int, c chan bool) {
	if n == 0 {
		c <- true
	} else {
		go sequgo(n - 1, c)
		<-c
	}
}

func main() {
	n := 1000
	if len(os.Args) > 1 {
		n, _ = strconv.Atoi(os.Args[1])
	}
	c := make(chan bool)
	t0 := time.Now()
	sequgo(n, c)
	fmt.Printf("[%d] время выполнения: %v\n", n, time.Now().Sub(t0))
}
