package main
import ("os"; "strconv"; "fmt"; "time")

func main() {
	n := 1000
	if len(os.Args) > 1 {
		n, _ = strconv.Atoi(os.Args[1])
	}
	c := make(chan bool)
	t0 := time.Now()
	for i := 0; i < n; i++ {
		go func() { c <- true }()
	}
	for i := 0; i < n; i++ { <-c }
	fmt.Printf("[%d] время выполнения: %v\n", n, time.Now().Sub(t0))
}
