#include <stdlib.h>
#include <stdio.h>
#include <sys/time.h>
#include <pthread.h> 

/* struct timeval {
      time_t      tv_sec;     // seconds 
      suseconds_t tv_usec;    // microseconds 
   };
*/

void* tfunc(void* data) {
   pthread_exit(NULL);
}

int main(int argc, char *argv[]) {
   ulong n = argc > 1 ? atol(argv[1]) : 1000;
   pthread_t tid[n]; 
   struct timeval t0, t1;
   gettimeofday(&t0, NULL);
   for(int i = 0; i < n; i++)
      pthread_create(tid + i, NULL, tfunc, NULL); 
   for(int i = 0; i < n; i++) 
      pthread_join(tid[i], NULL);       
   gettimeofday(&t1, NULL);
   double t = (t1.tv_usec - t0.tv_usec) + (t1.tv_sec - t0.tv_sec) * 1000000;
   if(t < 1000)
      printf("время выполнения: %.3fµs\n", t);
   else
      printf("[%ld] время выполнения: %.3fms\n", n, t / 1000.);
   return 0;
}
