package main

import (
	"fmt"
	"os"
	"time"
)

func child(num int, in, out chan string) {
	str1 := fmt.Sprintf("%v : ", num)
	for {
		str2 := <-in // строка полученная из канал
		fmt.Println(str1 + str2)
		if out != nil {
			out <- str2 + " ..."
		} // ретранслируется снова в канал
	}
}

func ввод(ch chan string) {
	const per = 300000000
	buf := make([]byte, 1024)
	for {
		fmt.Printf("> ")
		n, _ := os.Stdin.Read(buf)
		str := string(buf[:n-1])
		fmt.Println(str)
		ch <- str
		time.Sleep(per)
	}
}

func main() {
	канал := [...]chan string{make(chan string, 100), make(chan string),
		make(chan string), make(chan string)}
	for i := range канал {
		if i != len(канал)-1 {
			go child(i, канал[i], канал[i+1])
		} else {
			go child(i, канал[i], nil)
		}
	}
	ввод(канал[0])
}
