package main

import (
	"flag" // парсер параметров командной строки
	"os"
)

var omitNewLine = flag.Bool("n", false, "не печатать знак новой строки")

const (
	Space   = " "
	NewLine = "\n"
)

func main() {
	flag.Parse() // Сканирование списка аргументов и установка флагов
	var s string
	for i := 0; i < flag.NArg(); i++ {
		if i > 0 {
			s += Space
		}
		s += flag.Arg(i)
	}
	if !*omitNewLine {
		s += NewLine
	}
	os.Stdout.WriteString(s)
}
