package main

import (
	"os"
	"strconv"
)

var debug bool = false
var nopr uint64 = 0

func move(from, to, сколько int) {
	put := func(from, to int) {
		nopr++
		if !debug {
			return
		}
		print(from, " => ", to, ",   ")
		if 0 == (nopr % 5) {
			print("\n")
		}
	}
	temp := func(from, to int) int { // промежуточная позиция
		for i := 1; i <= 3; i++ {
			if i != from && i != to {
				return i
			}
		}
		panic(0) // ошибка
	}
	if сколько > 1 {
		move(from, temp(from, to), сколько-1)
	}
	put(from, to) // единичное перемещение
	if сколько > 1 {
		move(temp(from, to), to, сколько-1)
	}
}

func main() {
	if len(os.Args) != 2 {
		print("usage: ", os.Args[0], " [-]<number>\n")
		return
	}
	debug = false
	размер, _ := strconv.Atoi(os.Args[1])
	if размер < 0 {
		размер, debug = -размер, true
	}
	if debug {
		print("размер пирамиды: n=", размер, "\n")
	}
	move(1, 3, размер) // вот и всё решение!
	if debug && (nopr%5) != 0 {
		print("\n")
	}
	print("число перемещений ", nopr, "\n")
}
