package main
import ("os"; "strconv"; "fmt"; "math"; "math/rand")

func main() {
	n := 1000
	if len(os.Args) > 1 {
		n, _ = strconv.Atoi(os.Args[1])
	}
	s1, s2 := 0., 0.
	for i := 0; i < n; i++ {
		r := rand.NormFloat64()
		s1 += r;
      s2 += r * r;
	}
	s1 /= float64(n)
   s2 = s2 / float64(n) - s1 * s1
   fmt.Printf("%d чисел: среднее=%f, СКО=%f\n", n, s1, math.Sqrt(s2))   
}
