#include <iostream>
#include <iomanip>
#include <random>
#include <cmath>

int main(int argc, char **argv ) { //, char **envp ) { 
   long n = 1000;
   if(argc > 1) 
      n = atoi(argv[1]);
   std::random_device rd{};
   std::mt19937 gen{rd()};
   std::normal_distribution<> d{0,1};

   double s1 = 0., s2 = 0.;
   for(int i = 0; i < n; i++) {
      double r = d(gen);
      s1 += r;
      s2 += r * r;
   }
   s1 /= n;
   s2 = s2 / n - s1 * s1;
   std::cout << n << " чисел: среднее=" << s1 
             << ", СКО=" << sqrt(s2) << std::endl;   
   return 0;
}

