#include <stdio.h>

#define size 7
typedef struct {
   int data[ size ];
} garrey_t;

void show(garrey_t a) {  
   int i;
   printf("[ %d ]: ", size);
   for(i = 0; i < sizeof(a) / sizeof(*a.data); i++)
      printf("%d ", a.data[i]);
   printf("\n");
} 

void ptrans(garrey_t* p) {        // для указателя массива
   int i;
   for(i = 0; i < size; i++) p->data[i++]++;
   show(*p);
}

void atrans(garrey_t a) {        // для массива по значению
   int i;
   for(i = 0; i < sizeof(a) / sizeof(*a.data); i++)
      a.data[i]++;
   show(a);
}

int main(int argc, char **argv) {
   garrey_t a1 = {{ 1, 0, 2, 0, 3, 0, 4 }};
   show(a1);
   atrans(a1);
   show(a1);
   ptrans(&a1);
   show(a1);
   return 0;
}
