package main

import (
	"fmt"
)

func Filter(limit int, predicate func(int) bool, appender func(int)) {
	for i := 0; i < limit; i++ {
		if predicate(i) {
			appender(i)
		}
	}
}

func main() {
	data := []int{4, -3, 2, -7, 8, 19, -11, 7, 18, -6}
	even := make([]int, 0, len(data))
	Filter(len(data),
		func(i int) bool { return data[i]%2 == 0 },
		func(i int) { even = append(even, data[i]) })
	fmt.Println(even)
}
