package main

import "math"

func SliceIndex(limit int, predicate func(i int) bool) int {
	for i := 0; i < limit; i++ {
		if predicate(i) {
			return i
		}
	}
	return -1
}

func main() {
	print(SliceIndex(math.MaxInt32,
		func(i int) bool { return i != 0 && i%27 == 0 && i%51 == 0 }),
		"\n")
}
