#include <iostream>
#include <pthread.h>
#include <unistd.h>
#include <cstdlib>
using namespace std;

void* threadfunc (void *data) {
   char msg[80];
   pthread_t tid = pthread_self();
   sprintf(msg, "%lu стартовал\n", tid);
   cout << msg;
   sleep(*(int*)data);
   sprintf(msg, "%lu завершился\n", tid);
   cout << msg;
   pthread_exit(NULL);
}

int main( int argc, char *argv[] ) {
   int numpar = (argc > 1 && atoi(argv[1]) > 0) ?
                atoi(argv[1]) : 1;
   pthread_t *tids = new pthread_t[numpar];
   const int delay = 1;
   for(int i = 0; i < numpar; i++) {
      pthread_create(&tids[i], NULL, threadfunc, (void*)&delay);
      cout << "запустил: " << tids[i] << endl; 
   }
   for(int i = 0; i < numpar; i++)
      pthread_join(tids[i], NULL);
   cout << pthread_self() << " завершился" << endl;      
   exit( EXIT_SUCCESS );
}
