package main

import (
	"fmt"
)

func main() {
	текст := [...]string{"первый", "второй", "третий"}
	done := make(chan bool)
	for _, v := range текст {
		print(v, " ")
	}
	print("\n")
	for i, _ := range текст {
		go func(s *string, f float64) {
			*s = fmt.Sprintf("%f", f)
			done <- true
		}(&текст[i], float64(i))
	}
	// wait for all goroutines to complete before continue:
	for _ = range текст {
		<-done
	}
	for _, v := range текст {
		print(v, " ")
	}
	print("\n")
}
