package main

import (
	"fmt"
	"sync/atomic"
	"time"
)

func main() {
	var flag int32 = 0
	t := time.Now()
	time.AfterFunc(2*time.Second,
		func() {
			atomic.StoreInt32(&flag, 1)
		})
	for {
		if atomic.LoadInt32(&flag) != 0 {
			break
		}
	}
	fmt.Println("The timer has worked:", time.Since(t))
}
